Bug 1397430 - PEER_REJECT, EVENT_BRICKPATH_RESOLVE_FAILED, EVENT_COMPARE_FRIEND_VOLUME_FAILED are not seen
Summary: PEER_REJECT, EVENT_BRICKPATH_RESOLVE_FAILED, EVENT_COMPARE_FRIEND_VOLUME_FAIL...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Atin Mukherjee
QA Contact: Byreddy
URL:
Whiteboard:
Depends On: 1397424 1397705
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-11-22 14:01 UTC by Atin Mukherjee
Modified: 2017-03-23 06:20 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1397424
Environment:
Last Closed: 2017-03-23 06:20:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Atin Mukherjee 2016-11-22 14:01:43 UTC
+++ This bug was initially created as a clone of Bug #1397424 +++

Description of problem:

1. PEER_REJECT event is not seen if the peer add request is from an unknown peer
during peer handshaking.
2. EVENT_COMPARE_FRIEND_VOLUME_FAILED is not seen if there is a checksum mismatch in friend volume
3. EVENT_BRICKPATH_RESOLVE_FAILED event is not seen if glusterd fails to restore bricks and fails to come up.
4. Remove EVENT_BRICKS_START_FAILED event as we already have EVENT_BRICK_START_FAILED

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2016-11-22 08:53:34 EST ---

REVIEW: http://review.gluster.org/15903 (glusterd: fix few events generation) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 2 Atin Mukherjee 2016-11-22 14:06:23 UTC
upstream mainline patch http://review.gluster.org/15903 posted for review.

Comment 4 Atin Mukherjee 2016-11-24 06:46:28 UTC
upstream mainline : http://review.gluster.org/15903
upstream 3.9 : http://review.gluster.org/15912
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/91097/

Comment 7 Byreddy 2016-12-01 08:24:35 UTC
Verified this BZ using  glusterfs-3.8.4-6 build.

i am seeing events mentioned in the $title are generating based on the scenario.


{u'message': {u'volume': u'Dis'}, u'event': u'COMPARE_FRIEND_VOLUME_FAILED', u'ts': 1480576732, u'nodeid': u'3bb05180-7edb-4142-b973-403dee428f73'}
10.70.41.217 - - [01/Dec/2016 12:43:35] "POST /listen HTTP/1.1" 200 -


{u'message': {u'peer': u'dhcp41-198.lab.eng.blr.redhat.com'}, u'event': u'PEER_REJECT', u'ts': 1480579528, u'nodeid': u'7c96741d-d5c1-470a-904d-1928af82454f'}
10.70.41.198 - - [01/Dec/2016 13:30:10] "POST /listen HTTP/1.1" 200 -

{u'message': {u'peer': u'10.70.41.111', u'volume': u'Dis', u'brick': u'/bricks/brick0/d0'}, u'event': u'BRICKPATH_RESOLVE_FAILED', u'ts': 1480579775, u'nodeid': u'7c96741d-d5c1-470a-904d-1928af82454f'}

and  confirmed that the event EVENT_BRICKS_START_FAILED is removed from the code.
code change file: https://code.engineering.redhat.com/gerrit/#/c/91097/2/events/eventskeygen.py

With all above details moving the bug to verified state.

Comment 9 errata-xmlrpc 2017-03-23 06:20:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.